## ros-melodic-swri-image-util 2.14.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(swri_image_util)

find_package(catkin REQUIRED COMPONENTS
  camera_calibration_parsers
  cv_bridge
  geometry_msgs
  image_geometry
  image_transport
  message_filters
  nav_msgs
  nodelet
  roscpp
  rospy
  std_msgs
  swri_geometry_util
  swri_math_util
  swri_nodelet
  swri_opencv_util
  swri_roscpp
  tf
)

find_package(OpenCV REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Boost REQUIRED)
# Workaround for header-only Boost issue in older versions of cmake:
# https://gitlab.kitware.com/cmake/cmake/-/issues/18643
add_library(${PROJECT_NAME}_boost INTERFACE IMPORTED)
set_property(TARGET ${PROJECT_NAME}_boost PROPERTY
  INTERFACE_INCLUDE_DIRECTORIES ${Boost_INCLUDE_DIR})

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to pkg-config
  find_package(PkgConfig)
  pkg_check_modules(EIGEN3 REQUIRED eigen3)
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package(
  DEPENDS Boost OpenCV EIGEN3
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    camera_calibration_parsers
    cv_bridge
    geometry_msgs
    image_geometry
    image_transport
    message_filters
    nav_msgs
    nodelet
    roscpp
    rospy
    std_msgs
    swri_math_util
    swri_opencv_util
    swri_roscpp
    tf
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/draw_util.cpp
  src/geometry_util.cpp
  src/image_matching.cpp
  src/image_normalization.cpp
  src/image_warp_util.cpp
  src/replace_colors.cpp
  src/rolling_normalization.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
  ${PROJECT_NAME}_boost
)

add_library(${PROJECT_NAME}_nodelets
  src/nodelets/blend_images_nodelet.cpp
  src/nodelets/crosshairs_nodelet.cpp
  src/nodelets/contrast_stretch_nodelet.cpp
  src/nodelets/draw_polygon_nodelet.cpp
  src/nodelets/draw_text_nodelet.cpp
  src/nodelets/image_pub_nodelet.cpp
  src/nodelets/normalize_response_nodelet.cpp
  src/nodelets/replace_colors_nodelet.cpp
  src/nodelets/rotate_image_nodelet.cpp
  src/nodelets/scale_image_nodelet.cpp
  src/nodelets/warp_image_nodelet.cpp
)
target_link_libraries(${PROJECT_NAME}_nodelets ${PROJECT_NAME})

add_executable(blend_images src/nodes/blend_images_node.cpp)
target_link_libraries(blend_images ${catkin_LIBRARIES})

add_executable(contrast_stretch src/nodes/contrast_stretch.cpp)
target_link_libraries(contrast_stretch ${catkin_LIBRARIES})

add_executable(draw_text src/nodes/draw_text.cpp)
target_link_libraries(draw_text ${catkin_LIBRARIES})

add_executable(dummy_image_publisher src/nodes/dummy_image_publisher.cpp)
target_link_libraries(dummy_image_publisher ${catkin_LIBRARIES})

add_executable(normalization_image_generator_node src/nodes/normalization_image_generator_node.cpp)
target_link_libraries(normalization_image_generator_node ${PROJECT_NAME})

add_executable(normalize_response src/nodes/normalize_response.cpp)
target_link_libraries(normalize_response ${catkin_LIBRARIES})

add_executable(rotate_image src/nodes/rotate_image.cpp)
target_link_libraries(rotate_image ${catkin_LIBRARIES})

add_executable(scale_image src/nodes/scale_image.cpp)
target_link_libraries(scale_image ${catkin_LIBRARIES})

add_executable(replace_colors src/nodes/replace_colors.cpp)
target_link_libraries(replace_colors ${catkin_LIBRARIES})

swri_nodelet_add_node(draw_polygon ${PROJECT_NAME} DrawPolygonNodelet)
target_link_libraries(draw_polygon ${PROJECT_NAME}_nodelets ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

swri_nodelet_add_node(image_pub ${PROJECT_NAME} ImagePubNodelet)
target_link_libraries(image_pub ${PROJECT_NAME}_nodelets ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

swri_nodelet_add_node(warp_image ${PROJECT_NAME} WarpImageNodelet)
target_link_libraries(warp_image ${PROJECT_NAME}_nodelets ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

swri_nodelet_add_node(crosshairs ${PROJECT_NAME} CrosshairsNodelet)
target_link_libraries(crosshairs ${PROJECT_NAME}_nodelets ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_image_util test/image_util.test test/test_image_util.cpp)
  target_link_libraries(test_image_util ${PROJECT_NAME})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
    ${PROJECT_NAME}_nodelets
    blend_images
    contrast_stretch
    crosshairs
    draw_polygon
    draw_text
    dummy_image_publisher
    image_pub
    normalization_image_generator_node
    normalize_response
    replace_colors
    rotate_image
    scale_image
    warp_image
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-swri-image-util (2.14.2-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.14.1-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.14.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.7-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.6-1stretch) stretch; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.5-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.4-1stretch) stretch; urgency=high

  * Clean up Boost usage (#584 <https://github.com/swri-robotics/marti_common/issues/584>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.3-1stretch) stretch; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.2-1stretch) stretch; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.1-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.13.0-1stretch) stretch; urgency=high

  * Rename swri_image_util test (#575 <https://github.com/swri-robotics/marti_common/issues/575>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.12.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-melodic-swri-image-util (2.11.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-swri-image-util (2.10.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-melodic-swri-image-util (2.9.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-melodic-swri-image-util (2.8.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-melodic-swri-image-util (2.7.3-1stretch) stretch; urgency=high

  * Fixes for image normalization. (#536 <https://github.com/swri-robotics/marti_common/issues/536>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-swri-image-util (2.7.2-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.7.1-1stretch) stretch; urgency=high

  * Fix masked image normalization. (#531 <https://github.com/swri-robotics/marti_common/issues/531>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.7.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.6.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.5.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.4.0-1stretch) stretch; urgency=high

  * Add function to blend two images with alpha channels. (#522 <https://github.com/swri-robotics/marti_common/issues/522>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.3.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.2.1-1stretch) stretch; urgency=high

  * Initialize image before drawing on it. (#512 <https://github.com/swri-robotics/marti_common/issues/512>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.2.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.1.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-melodic-swri-image-util (2.0.0-1stretch) stretch; urgency=high

  * Add nodelet for drawing a polygon on an image. (#500 <https://github.com/swri-robotics/marti_common/issues/500>)
  * update to use non deprecated pluginlib macro (#493 <https://github.com/swri-robotics/marti_common/issues/493>)
  * Implement simple image file publisher. (#488 <https://github.com/swri-robotics/marti_common/issues/488>)
  * Contributors: Marc Alban, Mikael Arguedas

 -- Kris Kozak <kkozak@swri.org>  Mon, 18 Dec 2017 00:00:00 -0000

ros-melodic-swri-image-util (1.2.0-1stretch) stretch; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-melodic-swri-image-util (1.1.0-1stretch) stretch; urgency=high

  * Improving user feedback when checking parameter validity. Breaking apart parameter checks so it is clearer what the error is. Also making sure the user passes in non-negative values for RGB and gray values
  * Add a crosshairs nodelet to swri_image_util (#461 <https://github.com/pjreed/marti_common/issues/461>)
  * Cloning OpenCV matrices to make sure values are not overwritten
  * Fixing conditions which would trigger a warning on node startup


=== debian/control ===
Source: ros-melodic-swri-image-util
Section: misc
Priority: optional
Maintainer: Kris Kozak <kkozak@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, pkg-config, ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-swri-geometry-util, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-opencv-util, ros-melodic-swri-roscpp, ros-melodic-tf
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-melodic-swri-image-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-melodic-camera-calibration-parsers, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-swri-geometry-util, ros-melodic-swri-math-util, ros-melodic-swri-opencv-util, ros-melodic-swri-roscpp, ros-melodic-tf
Description: swri_image_util

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-image-util//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-swri-image-util 2.15.2

=== debian/changelog ===
ros-melodic-swri-image-util (2.15.2-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-image-util (2.14.2-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.14.1-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.14.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.7-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.6-1bionic) bionic; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.5-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.4-1bionic) bionic; urgency=high

  * Clean up Boost usage (#584 <https://github.com/swri-robotics/marti_common/issues/584>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.3-1bionic) bionic; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.2-1bionic) bionic; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.1-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.13.0-1bionic) bionic; urgency=high

  * Rename swri_image_util test (#575 <https://github.com/swri-robotics/marti_common/issues/575>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.12.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-image-util (2.11.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-image-util (2.10.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-image-util (2.9.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-image-util (2.8.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-image-util (2.7.3-1bionic) bionic; urgency=high

  * Fixes for image normalization. (#536 <https://github.com/swri-robotics/marti_common/issues/536>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-image-util (2.7.2-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-image-util (2.7.1-1bionic) bionic; urgency=high

  * Fix masked image normalization. (#531 <https://github.com/swri-robotics/marti_common/issues/531>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-image-util (2.7.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-melodic-swri-image-util (2.6.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-melodic-swri-image-util (2.5.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-melodic-swri-image-util (2.4.0-1bionic) bionic; urgency=high

  * Add function to blend two images with alpha channels. (#522 <https://github.com/swri-robotics/marti_common/issues/522>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-swri-image-util (2.3.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-melodic-swri-image-util (2.2.1-1bionic) bionic; urgency=high

  * Initialize image before drawing on it. (#512 <https://github.com/swri-robotics/marti_common/issues/512>)
  * Contributors: Marc Alban

 -- Kris Kozak <kkozak@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-melodic-swri-image-util (2.2.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-melodic-swri-image-util (2.1.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-melodic-swri-image-util (2.0.0-1bionic) bionic; urgency=high

  * Add nodelet for drawing a polygon on an image. (#500 <https://github.com/swri-robotics/marti_common/issues/500>)
  * update to use non deprecated pluginlib macro (#493 <https://github.com/swri-robotics/marti_common/issues/493>)
  * Implement simple image file publisher. (#488 <https://github.com/swri-robotics/marti_common/issues/488>)
  * Contributors: Marc Alban, Mikael Arguedas

 -- Kris Kozak <kkozak@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-melodic-swri-image-util (1.2.0-1bionic) bionic; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-melodic-swri-image-util (1.1.0-1bionic) bionic; urgency=high

  * Improving user feedback when checking parameter validity. Breaking apart parameter checks so it is clearer what the error is. Also making sure the user passes in non-negative values for RGB and gray values
  * Add a crosshairs nodelet to swri_image_util (#461 <https://github.com/pjreed/marti_common/issues/461>)


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Kris Kozak <kkozak@swri.org>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, pkg-config, ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-swri-geometry-util, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-opencv-util, ros-melodic-swri-roscpp, ros-melodic-tf
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, pkg-config, ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-std-msgs, ros-melodic-swri-geometry-util, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-opencv-util, ros-melodic-swri-roscpp, ros-melodic-tf
 Homepage: https://github.com/swri-robotics/marti_common
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
